<?php
/**
 * The template for displaying image attachments.
 *
 * @package shrk
 */

get_header(); ?>
<?php add_filter( 'shrk_show_sidebar', function () { return false; }); ?>

<div <?php echo apply_filters( 'shrk-page-cover-atts', 'page-cover' ); ?> >
	<header class="page-header">
		<?php the_title( '<h1 class="page-title">', '</h1>' ); ?>

		<div class="entry-meta">
			<?php
				$metadata = wp_get_attachment_metadata();
				printf( 
					wp_kses( 
						__( 'Published <span class="entry-date"><time class="entry-date" datetime="%1$s">%2$s</time></span> at <a href="%3$s" title="Link to full-size image">%4$s &times; %5$s</a> in <a href="%6$s" title="Return to %7$s" rel="gallery">%8$s</a>', 'ux-shop' ), 
						shrk_kses_allowed( 'meta' )
					),
					esc_attr( get_the_date( 'c' ) ),
					esc_html( get_the_date() ),
					esc_url( wp_get_attachment_url() ),
					isset($metadata['width']) ? $metadata['width'] : '?',
					isset($metadata['height']) ? $metadata['height'] : '?',
					esc_url( get_permalink( $post->post_parent ) ),
					esc_attr( strip_tags( get_the_title( $post->post_parent ) ) ),
					get_the_title( $post->post_parent )
				);
			?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->
	<?php do_action( 'shrk-page-cover-after' ); ?>
</div>

<div class="container container-main-content">
	<div class="row">
		<div class="main-content-inner col-12 <?php echo esc_attr(shrk_get_main_inner_class()); ?>">            

			<?php while ( have_posts() ) : the_post(); ?>				
				
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

					<div class="entry-content">
						<div class="entry-attachment">
							<div class="attachment">
								<?php shrk_the_attached_image(); ?>
							</div><!-- .attachment -->

							<?php if ( has_excerpt() ) : ?>
							<div class="entry-caption">
								<?php the_excerpt(); ?>
							</div><!-- .entry-caption -->
							<?php endif; ?>
						</div><!-- .entry-attachment -->

						<?php
							the_content();
							wp_link_pages( array(
								'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'ux-shop' ),
								'after'  => '</div>',
							) );
						?>
					</div><!-- .entry-content -->

					<nav id="image-navigation" class="image-navigation">
						<div class="nav-previous"><?php previous_image_link( false, '<span class="screen-reader-text">' . esc_html__( 'Previous Image', 'ux-shop' ) . '</span><i class="icon-ws-arrow-left"></i>' ); ?></div>
						<div class="nav-next"><?php next_image_link( false, '<span class="screen-reader-text">' . esc_html__( 'Next Image', 'ux-shop' ) . '</span><i class="icon-ws-arrow-right"></i>' ); ?></div>
					</nav><!-- #image-navigation -->

					<footer class="entry-meta">
						<?php
							if ( comments_open() && pings_open() ) : // Comments and trackbacks open
								printf( 
									wp_kses( 
										__( '<a class="comment-link" href="#respond" title="Post a comment">Post a comment</a> or leave a trackback: <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback URL</a>.', 'ux-shop' ), 
										shrk_kses_allowed( 'link' ) 
										), 
									esc_url( get_trackback_url() ) 
								);
							elseif ( ! comments_open() && pings_open() ) : // Only trackbacks open
								printf( 
									wp_kses( 
										__( 'Comments are closed, but you can leave a trackback: <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback URL</a>.', 'ux-shop' ), 
										shrk_kses_allowed( 'link' ) 
										), 
									esc_url( get_trackback_url() ) 
								);
							elseif ( comments_open() && ! pings_open() ) : // Only comments open
								echo wp_kses( __( 'Trackbacks are closed, but you can <a class="comment-link" href="#respond" title="Post a comment">post a comment</a>.', 'ux-shop' ), shrk_kses_allowed( 'link' ) );
							elseif ( ! comments_open() && ! pings_open() ) : // Comments and trackbacks closed
								esc_html_e( 'Both comments and trackbacks are currently closed.', 'ux-shop' );
							endif;

							edit_post_link( esc_html__( 'Edit', 'ux-shop' ), ' <span class="edit-link">', '</span>' );
						?>
					</footer><!-- .entry-meta -->
				</article><!-- #post-## -->

				<?php
					// If comments are open or we have at least one comment, load up the comment template
					if ( comments_open() || '0' != get_comments_number() )
						comments_template();
				?>

			<?php endwhile; // end of the loop. ?>

			<?php get_sidebar(); ?>	

        </div><!-- close .*-inner (main-content or sidebar, depending if sidebar is used) -->
    </div><!-- close .row -->
</div><!-- close .container .container-main-content -->

<?php get_footer(); ?>